## alsa-driver-1.0.13.tar.bz2

=== include/Makefile ===
#
# Makefile for ALSA driver
# Copyright (c) 1994-98 by Jaroslav Kysela <perex@suse.cz>
#

include ../Makefile.conf

all: $(TARGETS)
	@echo "What's?" 

clean:
	rm -f .depend core *.o sndversions.h modules/*.ver modules/*.stamp

mrproper: clean
	rm -f *.orig *.rej *~ .#*
	rm -f linux/* asm/* media/*

=== debian/changelog ===
alsa-driver (1.0.13-5) unstable; urgency=medium

  [ Elimar Riesebieter ]
  * Added snd-seq-midi as an optional load above generic modules (snd-rawmidi)
    Thanks Eduard Dumitrescu for testing. (closes: #408036)
  * Added "cx88_alsa (PCI: TV cards...." to debian/ALSA-card-list. This module
    will be loaded with index=-2. (closes: #411665)
  * Urgency set to medium as this will affect etch.

 -- Jordi Mallach <jordi@debian.org>  Mon, 26 Feb 2007 17:55:02 +0100

alsa-driver (1.0.13-4) unstable; urgency=medium

  [ Elimar Riesebieter ]
  * Added etc/modutils and etc/modprobe.d to debian/linux-sound-base.dirs.
    This will offer the possibility to upgrade from 2.4 to 2.6 kernels as
    well to downgrade from 2.6 to 2.4 kernels. The links from
    /lib/linux-sound-base/ will be created for sure now. (closes: #408249)
    Thanks to Lucas Nussbaum and Gregor Herrmann.
  * Urgency set to medium as this will affect etch significantly.

 -- Jordi Mallach <jordi@debian.org>  Fri, 16 Feb 2007 10:32:45 +0100

alsa-driver (1.0.13-3) unstable; urgency=low

  [ Jordi Mallach ]
  * Updated and new debconf template translations:
    - de.po: thanks, Helge Kreutzm (closes: #403264).
    - gl.po: thanks, Jacobo Tarrío (closes: #404578).

 -- Jordi Mallach <jordi@debian.org>  Fri, 29 Dec 2006 12:55:54 +0100

alsa-driver (1.0.13-2) unstable; urgency=low

  [ Elimar Riesebieter ]
  * Added XS-X-Vcs-Svn field in control.
  * Updated po files:
    - de.po: Thanks Helge Kreutzmann. Closes: #39866.

  [ Jordi Mallach ]
  * debian/control: add ${misc:Depends} to alsa-base.

 -- Jordi Mallach <jordi@debian.org>  Wed, 15 Nov 2006 13:26:41 +0100

alsa-driver (1.0.13-1) unstable; urgency=low

  * New upstream release

  [ Elimar Riesebieter ]
  * Updated po files:
    - fr.po: Thanks Christian Perrier
    - sv.po: Thanks Daniel Nylander
    - nl.po: Thanks Bart Cornelis
    - pt.po: Thanks Bruno Miguel da Silva Queiros
    - pt_BR.po: Thanks Felipe Augusto van de Wiel
    - vi.po: Thanks Clytie Siddall
    - tr.po: Thanks Recai Oktaş
    - ru.po: Thanks Serge Winitzki
    - cs.po: Thanks Miroslav Kure
    - ja.po: Thanks Kenshi Muto
    - es.po: Thanks Carlos Galisteo de Cabo
  * Removed debian/patches/08_i2c-powermac-configure-fix.dpatch. Applied
    upstream.
  * Removed debian/patches/96_acer.dpatch. Applied upstream.
  * Removed debian/patches/97_aoa.dpatch. Applied upstream.

  [ Jordi Mallach ]
  * Updated Catalan translation.

 -- Jordi Mallach <jordi@debian.org>  Tue,  3 Oct 2006 10:44:15 +0200

alsa-driver (1.0.12-1) unstable; urgency=low

  * New upstream release. (closes: #386663, #386822)

  [ Elimar Riesebieter ]
  * Removed 17_alsa-timer-irqsave.dpatch, 96_vi82xx_dxs_src.dpatch,
    97_pmac_hg. dpatch 98_pmac_hg2.dpatch. Applied upstream.
  * Added linux-source to alsa-source recommends. (closes: #383502)
  * Removed serialmidi from the variety of available drivers. See also
    https://bugtrack.alsa-project.org/alsa-bug/view.php?id=2039
    (closes: #384711)
  * No sound with Intel 82801G ICH7 -> fixed upstream (closes: #362282)
  * Cleaned out depmod in alsa-source.post(inst|rm) (closes: #381749)
    Adjusted alsa-source.control
  * Added patches/98_ens1371_inaudible_sound_def.dpatch stolen from
    https://lists.ubuntu.com/archives/kernel-team/2006-August/000979.html
    (closes: #385736)
  * Bumped compat to 5 and debhelper version >=5.0.37
  * Added 08_i2c-powermac-configure-fix.dpatch and 97_aoa.dpatch to get the
    aoa-drivers to work.
  * Added 96_acer.dpatch to enable the use of snd-hda-intel for some
    notebooks.
  * Improved templates. Thanks Thomas Huriaux. (closes: #377648)
  * Added debconf-updatepo to debian/rules/clean target.

  [ Jordi Mallach ]
  * Updated Catalan debconf templates translation.

 -- Jordi Mallach <jordi@debian.org>  Mon, 11 Sep 2006 10:21:23 +0200

alsa-driver (1.0.11-5) unstable; urgency=low

  [ Elimar Riesebieter ]
  * Added mixer store and restore functions to the apm script.
    (closes: #380490)

 -- Jordi Mallach <jordi@debian.org>  Wed, 16 Aug 2006 20:34:04 +0200

alsa-driver (1.0.11-4) unstable; urgency=low

  [ Elimar Riesebieter ]
  * Use lsb init-functions in init script. Thanks Carlos Villegas
    (closes: #377716)

 -- Jordi Mallach <jordi@debian.org>  Mon, 17 Jul 2006 16:26:12 +0200

alsa-driver (1.0.11-3) unstable; urgency=low

  [ Elimar Riesebieter ]
  * Added the utf-8 reworked pt_BR.po. (closes: #373960)
    Thanks Felipe Augusto van de Wiel.
  * Introduced 96_vi82xx_dxs_src.dpatch. (closes: #366212)
    Thanks Nick Liverton.
  * Introduced 17_alsa-timer-irqsave.dpatch. Prevents locking the system
    playing midi files under heavy load. Thanks Arthur Marsh for testing.
    (closes: #376382)

 -- Jordi Mallach <jordi@debian.org>  Wed,  5 Jul 2006 10:28:57 +0200

alsa-driver (1.0.11-2) unstable; urgency=low

  [ Elimar Riesebieter ]
  * Replaced 98_pmac.dpatch with 97_pmac_hg.dpatch. The patch is caught from the
    HG Alsa repo.
  * Added 98_pmac_hg2.dpatch to fix compilation of ppc drivers with 2.6.17.
    Caught from HG Alsa repo as well.
  * Bumped Standard-Version to 3.7.2; no changes needed.

 -- Jordi Mallach <jordi@debian.org>  Fri, 19 May 2006 00:57:02 +0200

alsa-driver (1.0.11-1) unstable; urgency=low

  * New upstream release
    - builds with Linux 2.6.16 (closes: #359856, #360287)

  [ Elimar Riesebieter ]
  * Added saa7134 to debian/OSS-module-list and removed appropriate note in
    debian/notes (Closes: #359851)
  * Introduced Build-Depends for debhelper and dpatch as requested from
    lintian.
  * Removed the lintian capital-letters from overrides, as they are not needed
    anymore.
  * Reorked overrides rules
  * Introduced 98_pmac.dpatch as the native sources don't build the powermac
    driver.

 -- Jordi Mallach <jordi@debian.org>  Sun, 23 Apr 2006 17:06:15 +0200

alsa-driver (1.0.10+1.0.11rc3-1) experimental; urgency=low

   * New upstream release candidate


=== debian/control ===
Source: alsa-driver
Section: sound
Priority: optional
Maintainer: Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>
Uploaders: Jordi Mallach <jordi@debian.org>, Elimar Riesebieter <riesebie@lxtec.de>
Build-Depends-Indep: bzip2, cpio
Build-Depends: debhelper (>= 5.0.37), dpatch (>= 1.11), po-debconf
Standards-Version: 3.7.2
XS-X-Vcs-Svn: svn://svn.debian.org/pkg-alsa/trunk/alsa-driver

Package: linux-sound-base
Architecture: all
Depends: ${misc:Depends}, module-init-tools (>= 3.2.1) | modutils (>= 2.3.5-1)
Suggests: alsa-base (>= 1.0.13-1)
Conflicts: alsa-base (<= 1.0.8-7)
Replaces: alsa-base (<= 1.0.8-7)
Description: base package for ALSA and OSS sound systems
 This package allows the administrator to choose between
 the OSS and ALSA sound systems.

Package: alsa-base
Architecture: all
Provides: alsa
Depends: ${misc:Depends}, lsof (>= 4.64), module-init-tools (>= 3.2.1) | modutils (>= 2.3.5-1), linux-sound-base
Recommends: alsa-utils (>= 1.0.13-1)
Suggests: apmd (>= 3.0.2-1), discover (>= 2.0.7-1) | discover1 (>= 1.7.3) | hotplug, alsa-oss
Conflicts: modutils (= 2.3.20-1), lsof-2.2 (<< 4.64), discover1 (<< 1.7.3), discover (<< 2.0.7-1), alsa-utils (<< 1.0.9a-4)
Description: ALSA driver configuration files
 This package contains various configuration files for
 the ALSA drivers.
 .
 For ALSA to work on a system with a given sound card,
 there must be an ALSA driver for that card in the kernel.
 Linux 2.6 as shipped in linux-image packages contains
 ALSA drivers for all supported sound cards in the form
 of loadable modules. For either Linux 2.6 or Linux 2.4
 a custom alsa-modules package can be built from the
 sources in the alsa-source package using the make-kpkg
 utility (included in the kernel-package package). Some
 pre-built alsa-modules packages are available in the
 Debian archive. Please read the README.Debian file for
 information about loading modules.
 .
 ALSA is the Advanced Linux Sound Architecture.
     http://alsa.sourceforge.net
 OSS is the free version of the Open Sound System.

Package: alsa-source
Architecture: all
Depends: ${misc:Depends}, make, gcc | c-compiler, dpkg-dev, debhelper (>= 5.0.37), debconf-utils, bzip2
Recommends: kernel-package, fakeroot, kernel-headers | kernel-source | kernel-source-2.4.27 | linux-source
Description: ALSA driver sources
 This package contains the source code for the ALSA drivers.
 The source code can be compiled into an alsa-modules package
 using the make-kpkg utility (available in the kernel-package
 package). Please note that the kernel headers must be
 installed to compile these modules.
 .
 ALSA is the Advanced Linux Sound Architecture.

=== debian/rules ===
#!/usr/bin/make -f

# alsa-driver's debian/rules.
# Substanially rewritten by Steve Kowalik <stevenk@debian.org>
# Substanially rewritten by Thomas Hood <jdthood@yahoo.co.uk>

export DH_VERBOSE=1

SHELL := /bin/bash
# Bwahaha, let's play "Fool dpatch"
PACKAGE := ALSA

SRC_DIR := debian/alsa-source/usr/src/modules/alsa-driver
INSTALL_UAG := -o root -g audio

include /usr/share/dpatch/dpatch.make

clean: unpatch
	dh_testdir
	dh_testroot
	debconf-updatepo
	-$(RM) build-stamp
	-$(RM) include/isapnp.h
	-$(RM) -r debian/patched
	-$(RM) debian/files
	-$(RM) debian/OSS-module-list_cleaned
	-$(RM) debian/ALSA-module-list_cleaned
	-$(RM) debian/ALSA-card-list_cleaned
	-$(RM) debian/ALSA-card-list_cleaned_nobrackets
	-$(RM) debian/ALSA-card-list_cleaned_nodescriptions
	-$(RM) debian/ALSA-card-list_needingpostinstall
	-$(RM) debian/ALSA-card-list_modem
	-$(RM) debian/ALSA-card-list_tv
	dh_clean -k

configure: patch configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp

build: configure build-stamp
build-stamp:
	touch build-stamp

binary: binary-indep binary-arch

binary-indep: DH_OPTIONS=-i
binary-indep: build-stamp build-source
	dh_testdir
	dh_testroot
	dh_installdirs
	install $(INSTALL_UAG) -m755 debian/alsa-base.modprobe-post-install \
		debian/alsa-base/lib/alsa/modprobe-post-install
	install $(INSTALL_UAG) -m755 debian/alsa-base.apm \
		debian/alsa-base/etc/apm/scripts.d/alsa
	install $(INSTALL_UAG) -m755 snddevices \
		debian/alsa-base/usr/share/alsa-base/snddevices
	install $(INSTALL_UAG) -m755 debian/alsa-base.init \
		debian/alsa-base/etc/init.d/alsa
	install $(INSTALL_UAG) -m644 debian/alsa-base.defaultfile \
		debian/alsa-base/usr/share/alsa-base/alsa.default
	install $(INSTALL_UAG) -m644 debian/alsa-source.conf \
		debian/alsa-source/usr/share/alsa-source/alsa-source.conf
	install $(INSTALL_UAG) -m755 debian/program-wrapper \
		debian/alsa-base/usr/share/alsa-base
	### Generate lists
	cat debian/OSS-module-list \
		| sed -e 's/^[[:space:]]*//' -e 's/#.*//' -e '/^$$/d' \
		> debian/OSS-module-list_cleaned
	cat debian/ALSA-module-list \
		| sed -e 's/^[[:space:]]*//' -e 's/#.*//' -e '/^$$/d' \
		> debian/ALSA-module-list_cleaned
	cat debian/ALSA-card-list \
		| sed -e 's/^[[:space:]]*//' -e 's/#.*//' -e 's/,//' -e '/^$$/d' \
		> debian/ALSA-card-list_cleaned
	cat debian/ALSA-card-list_cleaned \
		| sed -e 's/ \[[^]]*\]//' \
		> debian/ALSA-card-list_cleaned_nobrackets
	cat debian/ALSA-card-list_cleaned \
		| sed -e 's/ .*$$//' \
		> debian/ALSA-card-list_cleaned_nodescriptions
	cat debian/ALSA-card-list_cleaned \
		| sed -e '/MODEM/d' \
		      -e '/TV/d' \
		      -e '/UNREAL/d' \
		      -e '/NOPOSTINSTALL/d' \
		> debian/ALSA-card-list_needingpostinstall
	cat debian/ALSA-card-list_cleaned \
		| grep -e 'MODEM' \
		> debian/ALSA-card-list_modem
	cat debian/ALSA-card-list_cleaned \
		| grep -e 'TV' \
		> debian/ALSA-card-list_tv
	### Generate alsa-source.templates
	cp -p debian/alsa-source.templates debian/alsa-source.templates_BAK
	cat debian/alsa-source.templates_BAK \
		| sed "s%_CARDS_WITH_DESCRIPTIONS_%$$(echo $$(sed -e '$$!s/$$/, /' debian/ALSA-card-list_cleaned_nobrackets))%" \
		| sed "s%_CARDS_WITHOUT_DESCRIPTIONS_%$$(echo $$(sed -e '$$!s/$$/, /' debian/ALSA-card-list_cleaned_nodescriptions))%" \
		> debian/alsa-source.templates
	### Install blacklists and related
	install $(INSTALL_UAG) -m644 debian/OSS-module-list_cleaned \
		debian/linux-sound-base/usr/share/linux-sound-base/OSS-module-list
	install $(INSTALL_UAG) -m644 debian/OSS-module-list_cleaned \
		debian/linux-sound-base/lib/linux-sound-base/noOSS.hotplug.blacklist
	install $(INSTALL_UAG) -m644 debian/ALSA-module-list_cleaned \
		debian/linux-sound-base/usr/share/linux-sound-base/ALSA-module-list
	install $(INSTALL_UAG) -m644 debian/ALSA-module-list_cleaned \
		debian/linux-sound-base/lib/linux-sound-base/noALSA.hotplug.blacklist
	cat debian/OSS-module-list_cleaned \
		| sed -e 's/[[:space:]].*//' -e 's/^/skip /' \
		> debian/linux-sound-base/lib/linux-sound-base/noOSS.discover1.conf
	cat debian/ALSA-module-list_cleaned \
		| sed -e 's/[[:space:]].*//' -e 's/^/skip /' \
		> debian/linux-sound-base/lib/linux-sound-base/noALSA.discover1.conf
	cat debian/OSS-module-list_cleaned \
		| sed -e 's/[[:space:]].*//' -e 's/^/alias /' -e 's/$$/ off/' \
		> debian/linux-sound-base/lib/linux-sound-base/noOSS.modutils.conf
	cat debian/ALSA-module-list_cleaned \
		| sed -e 's/[[:space:]].*//' -e 's/^/alias /' -e 's/$$/ off/' \
		> debian/linux-sound-base/lib/linux-sound-base/noALSA.modutils.conf
	cat debian/OSS-module-list_cleaned \
		| sed -e 's/[[:space:]].*//' -e 's/^/blacklist /' \
		> debian/linux-sound-base/lib/linux-sound-base/noOSS.modprobe.conf
	cat debian/ALSA-module-list_cleaned \
		| sed -e 's/[[:space:]].*//' -e 's/^/blacklist /' \
		> debian/linux-sound-base/lib/linux-sound-base/noALSA.modprobe.conf
	echo '# Uncomment these entries in order to blacklist unwanted modem drivers' \
		> debian/alsa-base/etc/hotplug/blacklist.d/alsa-base
	cat debian/ALSA-card-list_modem \
		| sed -e 's/[[:space:]].*//' -e 's/^/# snd-/' \
		>> debian/alsa-base/etc/hotplug/blacklist.d/alsa-base
	echo '# Uncomment these entries in order to blacklist unwanted modem drivers' \
		> debian/alsa-base/etc/discover.d/alsa-base
	cat debian/ALSA-card-list_modem \
		| sed -e 's/[[:space:]].*//' -e 's/^/# skip snd-/' \
		>> debian/alsa-base/etc/discover.d/alsa-base
	echo '# Uncomment these entries in order to blacklist unwanted modem drivers' \
		> debian/alsa-base/etc/modutils/alsa-base-blacklist
	cat debian/ALSA-card-list_modem \
		| sed -e 's/[[:space:]].*//' -e 's/^/# alias snd-/' -e 's/$$/ off/' \
		>> debian/alsa-base/etc/modutils/alsa-base-blacklist
	echo '# Uncomment these entries in order to blacklist unwanted modem drivers' \
		> debian/alsa-base/etc/modprobe.d/alsa-base-blacklist
	cat debian/ALSA-card-list_modem \
		| sed -e 's/[[:space:]].*//' -e 's/^/# blacklist snd-/' \
		>> debian/alsa-base/etc/modprobe.d/alsa-base-blacklist
	install $(INSTALL_UAG) -m644 debian/linux-sound-base.OSS.discover2.conf \
		debian/linux-sound-base/lib/linux-sound-base/OSS.discover2.conf
	install $(INSTALL_UAG) -m644 debian/linux-sound-base.OSS.discover2.list.xml \
		debian/linux-sound-base/lib/discover/linux-sound-base.OSS.list.xml
	install $(INSTALL_UAG) -m644 debian/linux-sound-base.OSS.discover2.pci-device.xml \
		debian/linux-sound-base/lib/discover/linux-sound-base.OSS.pci-device.xml
	install $(INSTALL_UAG) -m644 debian/linux-sound-base.ALSA.discover2.conf \
		debian/linux-sound-base/lib/linux-sound-base/ALSA.discover2.conf
	install $(INSTALL_UAG) -m644 debian/linux-sound-base.ALSA.discover2.list.xml \
		debian/linux-sound-base/lib/discover/linux-sound-base.ALSA.list.xml
	install $(INSTALL_UAG) -m644 debian/linux-sound-base.ALSA.discover2.pci-device.xml \
		debian/linux-sound-base/lib/discover/linux-sound-base.ALSA.pci-device.xml
	### Install module loader configuration files
	install $(INSTALL_UAG) -m644 debian/alsa-base.modutils \
		debian/alsa-base/etc/modutils/alsa-base
	echo "# Cause a script to be run after card driver module initialization" \
		>> debian/alsa-base/etc/modutils/alsa-base
	cat debian/ALSA-card-list_needingpostinstall \
		| sed -e 's/[[:space:]].*//' -e 's%\(.*\)%post-install snd-\1 /lib/alsa/modprobe-post-install snd-\1%' \
		>> debian/alsa-base/etc/modutils/alsa-base
	# The default index of these drivers is -2 as of ALSA 1.0.9
	echo "# Prevent abnormal drivers from grabbing index 0" \
		>> debian/alsa-base/etc/modutils/alsa-base
	cat debian/ALSA-card-list_tv debian/ALSA-card-list_modem \
		| sed -e 's/[[:space:]].*//' -e 's%\(.*\)%options snd-\1 index=-2%' \
		>> debian/alsa-base/etc/modutils/alsa-base
	install $(INSTALL_UAG) -m644 debian/alsa-base.modprobe \
		debian/alsa-base/etc/modprobe.d/alsa-base
	echo "# Cause a script to be run after card driver module initialization" \
		>> debian/alsa-base/etc/modprobe.d/alsa-base
	cat debian/ALSA-card-list_needingpostinstall \

=== debian/watch ===
version=2
ftp://ftp.alsa-project.org/pub/driver/alsa-driver-(.*).tar.bz2	debian	uupdate
